%global pypi_name pluggy
%bcond_without test

Name:           python-pluggy
Version:        0.6.0
Release:        6
Summary:        A minimalist production ready plugin system
License:        MIT
URL:            https://github.com/pytest-dev/pluggy
Source0:        https://github.com/pytest-dev/%{pypi_name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools
BuildRequires:  python3-devel python3-setuptools
%if %{with test}
BuildRequires:  python2-pytest python3-pytest
%endif

%global _description\
A minimalist production ready plugin system.This is the core\
framework used by the pytest, tox, and devpi projects.

%description
%{_description}

%package -n python2-%{pypi_name}
Summary: %summary
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
%{_description}


%package -n python3-%{pypi_name}
Summary: %summary
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%if %{with test}
export PYTHONPATH=.:$PYTHONPATH
py.test testing
py.test-%{python3_version} testing
%endif


%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.6.0-6
- Package init
